@charset "utf-8";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --main: #002E86;
    --accent: #FF3D00;
    --txt: #292929;
}

body {
    font-size: 1.125rem;
    font-family: sans-serif;
    scroll-behavior: smooth;
}

li {
    list-style-type: none;
}

a {
    display: inline-block;
    width: 100%;
    text-decoration: none;
    color: #292929;
    transition: all 0.5s;
}

a:hover {
    transform: scale(1.1);
}

img {
    max-width: 100%;
    vertical-align: middle;
}

section {
    padding-top: 120px;
}

h2 {
    text-align: center;
    color: var(--main);
    font-size: 4rem;
    margin-bottom: 80px;
}

h2::first-letter {
    font-size: 5.5rem;
}

.inner {
    max-width: 1100px;
    margin: 0 auto;
}

.fadein {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1s ease, transform 1s ease;
}

.fadein.active {
    opacity: 1;
    transform: translateY(0);
}


/* header */
header {
    position: fixed;
    top: 0;
    z-index: 999;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-inline: 80px;
    width: 100%;
    padding-top: 10px;
}

h1 {
    width: 150px;
}

.header__nav {
    padding: 10px 30px;
}

.header__nav ul {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 30px;
}

li a {
    color: #fff;
    font-size: 1.25rem;
}

.header__nav.scrolled {
    background: rgba(255, 255, 255, 0.9);
    padding: 10px 30px;
    border-radius: 50px;
}

.header__nav.scrolled ul li a {
    color: var(--main);
}

.btn {
    width: 360px;
    height: 80px;
    margin: 0 auto;
    background-color: #fff;
    border: 3px solid var(--main);
    border-radius: 50px;
    text-align: center;
}

.btn a {
    color: var(--main);
    font-weight: bold;
    font-size: 1.5rem;
    line-height: 80px;
}

.toggle,
.bg,
.hamburger_nav {
    display: none;
}


/* kv */
.kv {
    position: relative;
    height: 100vh;
}

.kv__txt {
    position: absolute;
    bottom: 65px;
    left: 80px;
    width: 300px;
    object-fit: cover;
}

.fix__btn {
    position: fixed;
    bottom: 40px;
    right: 40px;
    z-index: 9999;
    width: 160px;
    object-fit: cover;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s;
}

.fix__btn.active {
    opacity: 1;
    pointer-events: auto;
}

/* concept */
.concept {
    padding: 40px 0;
    background-color: #FFF2E6;
}

.concept div {
    opacity: 0;
    transform: scale(0.5) translateY(30px);
}

.concept div.poppin {
    animation: poppin 0.6s ease-out 1s forwards;
}

@keyframes poppin {
    0% {
        opacity: 0;
        transform: scale(0.8) translateY(30px);
    }

    50% {
        opacity: 1;
        transform: scale(1.1) translateY(0);
    }

    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }
}

.concept__animation {
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    margin-top: -90px;
}

.concept__animation-box {
    display: inline-block;
    animation: marquee 15s linear infinite;
}

.concept__animation-box span {
    font-size: 7rem;
    font-weight: bold;
    color: #FFF2E6;
    -webkit-text-stroke: 3px var(--accent);
    text-indent: 1rem;
}

@keyframes marquee {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* about */
.about__wrapper {
    background-color: var(--main);
    padding: 80px;
}

.about__container {
    background-color: #fff;
}

.about__contents {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 60px;
    padding: 40px 40px 20px 40px;
}

.about__image {
    width: 43%;
}

.about__txt {
    width: 57%;
    font-size: 1.125rem;
    text-align: justify;
}

.about__txt p {
    margin-bottom: 40px;
    line-height: 2.2;
    font-weight: bold;
}

/* menu */
.menu {
    position: relative;
    padding-bottom: 330px;
}

.staff-image-big{
    position: absolute;
    right: 5%;
    bottom: 0;
}
.staff-image-big img{
    height: auto;
    max-height: 330px;
}

.menu__container {
    position: absolute;
    top: 430px;
    left: 0;
    z-index: -1;
    background-color: var(--accent);
    width: 100%;
    height: 75%;
}

.menu__contents {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    flex-wrap: wrap;
}

.menu__item {
    width: calc((100% - 120px) / 3);
    margin-bottom: 60px;
}

.menu__txt {
    height: 200px;
    padding: 20px;
    background-color: #fff;
    line-height: 1.8;
}

.menu__name {
    margin-bottom: 10px;
    color: var(--main);
    font-weight: bold;
    font-size: 1.25rem;
    border-bottom: 2px solid var(--main);
}

.menu__detail {
    font-size: 1rem;
}

.circle__animation {
    position: absolute;
    bottom: 100px;
    left: 0;
    z-index: -1;
    width: 450px;
    animation: circle 15s linear infinite;
}

@keyframes circle {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* contact */
.contact {
    margin-bottom: 0;
    padding-block: 120px;
    background-color: #FFF2E6;
}

.contact__lead {
    width: fit-content;
    margin: 0 auto 60px;
    font-size: 1.25rem;
}

.contact__btn {
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn__tel a {
    font-size: 1.75rem;
}

.btn__tel span {
    font-size: 1.25rem;
}

.btn__reserve {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    background-color: var(--main);
}

.btn__reserve a {
    color: #fff;
}

.btn__reserve img {
    width: 40px;
    height: 40px;
    margin-right: 10px;
}

/* slider */
section.slider__container {
    padding-top: 0;
}

.slider {
    overflow: hidden;
    white-space: nowrap;
    background: #fff;
    margin-bottom: 20px;
}

.slider__track {
    display: inline-block;
}

.slider img {
    width: 300px;
    margin: 0 5px;
}

.slider__right .slider__track {
    animation: slider-right 20s linear infinite;
}

.slider__left .slider__track {
    animation: slider-left 20s linear infinite;
}

/* 右方向 */
@keyframes slider-right {
    0% {
        transform: translateX(-50%);
    }

    100% {
        transform: translateX(0);
    }
}

/* 左方向 */
@keyframes slider-left {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}



/* company */
.company__contents {
    width: fit-content;
    margin: 0 auto;
}

.company__contents p {
    margin-bottom: 20px;
    font-size: 1.125rem;
}

.company__contents p a {
    display: inline;
    color: var(--txt);
    white-space: nowrap;
}

/* footer */
footer {
    background-color: var(--main);
    color: #fff;
    margin-top: 120px;
    padding-block: 80px 20px;
}

.footer__container {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
}

.footer__txt {
    width: 50%;
}

.footer__logo {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 10px;
}

.footer__detail {
    font-size: 0.875rem;
}

.footer__detail p {
    margin-bottom: 10px;
}

.footer__detail p a {
    color: #fff;
}

.footer__time {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
}

.footer__time p {
    flex-shrink: 0;
}

dl {
    display: flex;
    flex-wrap: wrap;
}

dt {
    width: 30%;
    padding: 3px;
}

dd {
    width: 60%;
    padding: 3px;
}

.footer__sns {
    margin-bottom: 40px;
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.footer__sns a {
    display: inline-block;
    width: 80px;
}

small {
    display: block;
    text-align: center;
    font-size: 0.6rem;
}


@media (max-width:1024px) {
    .about__wrapper {
        padding: 40px;
    }

    .about__contents {
        flex-direction: column;
    }

    .about__image,
    .about__txt {
        width: 100%;
    }

    .menu__container {
        height: 80%;
    }

    .menu__contents {
        top: 500px;
    }

    .menu__contents {
        justify-content: center;
        gap: 40px;
    }

    .menu__item {
        width: calc((100% - 120px) / 2);
    }

    footer {
        padding-inline: 40px;
    }

    .footer__txt {
        width: 100%;
        margin-bottom: 40px;
    }

    iframe {
        width: 400px;
        height: 230px;
        margin-bottom: 40px;
    }

    .footer__sns {
        text-align: center;
    }
}




@media (max-width: 768px) {

    html {
        scroll-padding-top: 100px;
    }

    header {
        padding-top: 30px;
        padding-inline: 40px;
    }

    .header__nav {
        display: none;
    }

    .toggle {
        display: block;
        position: relative;
        width: 60px;
        height: 60px;
        background-color: #ffffffcc;
        border-radius: 50%;
        padding: 10px;
        margin-left: auto;
    }

    .toggle span {
        position: absolute;
        width: 50%;
        height: 2px;
        background-color: var(--main);
        transition: 0.3s;
    }

    .toggle span:nth-of-type(1) {
        top: 25px;
        left: 50%;
        transform: translateX(-50%);
    }

    .toggle span:nth-of-type(2) {
        top: 35px;
        left: 50%;
        transform: translateX(-50%);
    }

    .bg {
        position: relative;
        display: block;
    }

    .open .bg {
        display: block;
        width: 50%;
        height: 100vh;
        position: fixed;
        top: 0;
        right: 0;
        background-color: #ff3c0091;
    }

    .hamburger_nav {
        display: none;
        position: fixed;
        top: 50%;
        right: 0;
        z-index: 999;
        transform: translateY(-50%);
        padding-right: 60px;
    }

    .hamburger_nav ul {
        text-align: center;
    }

    .hamburger_nav ul li {
        padding: 10px;
    }

    .hamburger_nav li a {
        font-size: 2.4rem;
    }

    .open .hamburger_nav {
        display: block;
    }

    .open .toggle {
        background-color: transparent;
    }

    .open .toggle span:nth-of-type(1) {
        top: 50%;
        left: 50%;
        transform: translateX(-50%) rotate(45deg);
        z-index: 999;
        background-color: #fff;
    }

    .open .toggle span:nth-of-type(2) {
        top: 50%;
        left: 50%;
        transform: translateX(-50%) rotate(-45deg);
        z-index: 999;
        background-color: #fff;
    }

    .kv__txt {
        left: 40px;
        width: 250px;
    }

    .fix__btn {
        right: 20px;
        width: 120px;
    }

    .contact__btn {
        flex-direction: column;
    }

    .btn__tel {
        margin-bottom: 40px;
    }

    .footer__container {
        flex-direction: column;
    }

    .footer__sns{
        flex-direction: column;
    }

}

@media (max-width: 600px) {
    .menu__contents {
        gap: 0;
    }

    .menu__item {
        width: calc(100% - 120px);
    }

    .menu__container {
        top: 480px;
        height: 90%;
    }
}

@media (max-width: 480px) {
    header {
        padding-inline: 20px;
    }

    .hamburger_nav {
        top: 40%;
        padding-right: 25px;
    }

    .hamburger_nav li a {
        font-size: 1.5rem;
    }

    .kv__txt {
        bottom: 80px;
        left: 20px;
    }

    .concept {
        padding-bottom: 40px;
    }

    .concept__animation {
        margin-top: -50px
    }

    .concept__animation-box span {
        margin-top: -175px;
        font-size: 4rem;
    }

    .about__wrapper {
        padding: 40px 20px;
    }

    .about__contents {
        padding: 40px 20px 20px 20px;
    }

    .menu__container {
        top: 420px;
    }
    .menu{
        padding-bottom:190px;
    }
    .staff-image-big{
        right:0;
    }
    .staff-image-big img{
        width: 100%;
    }
    .menu__detail{
        font-size: 85%;
    }


    .circle__animation {
        width: 250px;
    }

    .slider img {
        width: 200px;
    }

    .company__contents {
        padding-inline: 20px;
    }

    footer {
        padding: 20px;
    }

    dd {
        width: 68%;
    }

    .footer__map {
        margin: 0 auto;
    }

    iframe {
        width: 330px;
        height: 200px;
    }
}